id: wordpress-akismet

info:
  name: Akismet Anti-spam' Spam Protection Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/akismet/
  metadata:
    plugin_namespace: akismet
    wpscan: https://wpscan.com/plugin/akismet
  tags: tech,wordpress,wp-plugin,top-100,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/akismet/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/akismet.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a0046304402206ca4175bbb651fcbd3f8f77f95aa38babc9359d8fe24a58da094f9d0d6c3dfbe0220143bf5ae95340383d2eab481a193be479ca85054795a0217ec428ff487622375:922c64590222798bb761d5b6d8e72950